Update Compute Network

Update Compute Network

Only Solution users, Compute admins, and System admins can update ComputeNetworks.

Request
URI
PUT
https://{api_host}/container-service/api/resources/compute-networks/{id}
COPY
Path Parameters
string
id
Required

The id of the ComputeNetwork


Request Body

The ComputeNetwork to be updated.

ComputeNetwork of type(s) application/json
Required
{
    "documentExpirationTimeMicros": "string",
    "parentLink": "string",
    "assignment": "string",
    "descriptionLink": "string",
    "documentUpdateTimeMicros": "string",
    "external": false,
    "subnetLink": "string",
    "securityGroupLinks": [
        "string"
    ],
    "documentSelfLink": "string",
    "tagLinks": [
        "string"
    ],
    "name": "string",
    "groupLinks": [
        "string"
    ],
    "tenantLinks": [
        "string"
    ],
    "id": "string",
    "networkType": "string",
    "networkProfileLink": "string"
}
string
documentExpirationTimeMicros
Optional

documentExpirationTimeMicros

string
parentLink
Optional

parentLink

string
assignment
Optional

assignment

string
descriptionLink
Optional

descriptionLink

string
documentUpdateTimeMicros
Optional

documentUpdateTimeMicros

boolean
external
Optional

external

string
subnetLink
Optional

subnetLink

array of string
securityGroupLinks
Optional

securityGroupLinks

object
customProperties
Optional

customProperties

string
documentSelfLink
Optional

documentSelfLink

array of string
tagLinks
Optional

tagLinks

string
name
Optional

name

array of string
groupLinks
Optional

groupLinks

array of string
tenantLinks
Optional

tenantLinks

string
id
Optional

id

string
networkType
Optional

networkType

Possible values are : PUBLIC, ISOLATED,
string
networkProfileLink
Optional

networkProfileLink

Responses
200

'OK' is returned when the ComputeNetwork is updated.

Operation doesn't return any data structure